Plesk\backup\Agent\Schema\Backup\Domain\DomainAType\PropertiesAType:
    properties:
        ip:
            expose: true
            access_type: public_method
            serialized_name: ip
            xml_element:
                cdata: false
            accessor:
                getter: getIp
                setter: setIp
            xml_list:
                inline: true
                entry_name: ip
            type: array<Plesk\backup\Agent\Schema\Backup\Ip>
        webspaceStatus:
            expose: true
            access_type: public_method
            serialized_name: webspace-status
            xml_element:
                cdata: false
            accessor:
                getter: getWebspaceStatus
                setter: setWebspaceStatus
            type: Plesk\backup\Agent\Schema\Backup\StatusType
        status:
            expose: true
            access_type: public_method
            serialized_name: status
            xml_element:
                cdata: false
            accessor:
                getter: getStatus
                setter: setStatus
            type: Plesk\backup\Agent\Schema\Backup\Status
        dnsZone:
            expose: true
            access_type: public_method
            serialized_name: dns-zone
            xml_element:
                cdata: false
            accessor:
                getter: getDnsZone
                setter: setDnsZone
            type: Plesk\backup\Agent\Schema\Backup\DnsZone
        domParam:
            expose: true
            access_type: public_method
            serialized_name: dom-param
            xml_element:
                cdata: false
            accessor:
                getter: getDomParam
                setter: setDomParam
            type: array<Plesk\backup\Agent\Schema\Backup\NameValueType>
            xml_list:
                inline: false
                entry_name: param
                skip_when_empty: true
